% Eric Dubois 2017-05-12
% Nonlinear function in the CIELAB to XYZ conversion
% Input should be between 4/29 and 1
function invs = f_lab2xyz(x)
%constants
d1 = 6/29;
d2 = 4/29;
invs = x.^3;
invs(x<d1)= 3*d1^2*(x(x<d1)-d2);